LSMI-JOYSTICK(1)

NAME
lsmi-joystick - Linux Pseudo MIDI Input -- Joystick

SYNOPSIS
lsmi-joystick [options] files...

DESCRIPTION
This driver allows any joystick supported by the Linux joydev interface to be used as a MIDI pitch/modulation controller. Of course, some joysticks are more suitable than others. I use an old analog flight stick. Holding down button 1 causes the vertical axis to send pitchbend messages, while button 2 causes the vertical axis to send modulation messages. Holding down both buttons causes the vertical axis to send pitchbend messages and the horizontal axis to send modulation messages.

USAGE
Distribution specific init scripts are not included. The drivers may be started from init, your .bashrc, by qjackctl, etc. In order to be run by a non-root user the drivers must have access to the device files in /dev/input. This may be accomplished by adding a group 'input', adding desired users to this group, and configuring udev to assign the appropriate ownership to files in /dev/input. It should be perfectly safe to run the drivers as root, however. For realtime scheduling (the -R option), either use set_rlimits, or set the appropriate POSIX capabilities on the executable:

/sbin/setcap cap_ipc_lock,cap_sys_nice=ep /usr/bin/lsmi-joystick

The lsmi.SlackBuild script already includes RT scheduling support.

OPTIONS

-h, --help
    Show summary of options.

-d, --device specialfile
    Event device to use (instead of js0).

-R, --realtime rtprio
    Use realtime priority 'rtprio' (requires privs).

-v, --verbose
    Be verbose (show note events).

-p, --port client:port
    Connect to ALSA Sequencer client on startup.

-n, --no-hold
    Send controller data even when no joystick button is held.

-z, --daemon
    Fork and don't print anything to stdout.

SEE ALSO
lsmi-keyhack(1), lsmi-monterey(1), lsmi-mouse(1).

AUTHOR
lsmi was written by Jonathan Moore Liles.

This manual page was written by Ariel Errera <ariel@musix.org.ar>, for the Debian project (but may be used by others). It was then modified by B. Watson for the SlackBuilds.org project.